# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
#Do not repack the jars as there are permission issues in the
#jar packaging

%define __jar_repack %{nil}

Name:		vassal
Version:	3.2.17
Release:	alt1_3
Summary:	A game engine for building and playing online adaptations of board games and card games
Group:		Games/Other
License:	LGPLv2+
URL:		http://www.vassalengine.org/
Source0:	http://downloads.sourceforge.net/vassalengine/VASSAL-%{version}-src.zip
Patch0:		vassal.makefile.patch
Patch1:		vassal.guava.patch
Patch2:		vassal-3.2.13-mga-batik-svg.patch
BuildArch:	noarch

BuildRequires:	apache-commons-codec
BuildRequires:	apache-commons-io
BuildRequires:	apache-commons-lang
BuildRequires:	batik
BuildRequires:	bsh
BuildRequires:	gnu-getopt
BuildRequires:	guava20
BuildRequires:	janino
BuildRequires:	java-devel-default /proc
BuildRequires:	jlayer
BuildRequires:	jna
BuildRequires:	logback
BuildRequires:	slf4j
BuildRequires:	swing-layout
BuildRequires:	swingx
BuildRequires:	xerces-j2

Requires:	apache-commons-codec
Requires:	apache-commons-io
Requires:	apache-commons-lang
Requires:	batik
Requires:	bsh
Requires:	gnu-getopt
Requires:	guava20
Requires:	janino
Requires:	java
Requires:	jlayer
Requires:	jna
Requires:	logback
Requires:	slf4j
Requires:	swing-layout
Requires:	swingx
Requires:	xerces-j2
Source44: import.info

%description
Vassal is a game engine for building and playing online adaptations of board
games and card games. Play live on the Internet or by email. Vassal runs on
all platforms, and is free, open-source software.

%prep
%setup -q -n VASSAL-%{version}-src
%patch0
%patch1 -p1
%patch2 -p1

%build
rm -rf lib/batik* lib/licenses/batik*
rm -rf lib/xml*
rm -rf lib/xalan*
rm -rf lib/smackx-debug.jar
rm -rf lib/swing-layout* lib/licenses/swing-layout*
rm -rf lib/xerces*
rm -rf lib/swingx-*.jar lib/licenses/swingx*
rm -rf lib/*getopt* lib/licenses/*getopt*
rm -rf lib/commons-lang* lib/licenses/commons-lang*
rm -rf lib/commons-io* lib/licenses/commons-io*
rm -rf lib/commons-codec* lib/licenses/commons-codec*
rm -rf lib/janino* lib/licenses/janino*
rm -rf lib/slf4j* lib/licenses/slf4j*
rm -rf lib/jl* lib/licenses/jL*
rm -rf lib/guava* lib/licenses/guava*
rm -rf lib/logback* lib/licenses/logback*

make jar
chmod a+r lib/Vengine.jar

%install
#make some install dirs
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_javadir}/%{name}/lib

#install package
cp -avr lib/*.jar %{buildroot}%{_javadir}/%{name}/lib
cp -avr doc %{buildroot}%{_javadir}/%{name}

#create our launch wrapper script
cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
cd %{_javadir}/%{name}
export CLASSPATH=lib/Vengine.jar:%{_javadir}/swingx/swingx-core.jar:%{_javadir}/gnu-getopt.jar:%{_javadir}/apache-commons-lang.jar:%{_javadir}/apache-commons-io.jar:%{_javadir}/batik-all.jar:%{_javadir}/swing-layout.jar:%{_javadir}/slf4j/api.jar:%{_javadir}/jna.jar:%{_javadir}/commons-codec.jar:%{_javadir}/jl1.0.1.jar:%{_javadir}/bsh.jar:%{_javadir}/guava20/guava-20.0.jar:%{_javadir}/janino/janino.jar:%{_javadir}/janino/commons-compiler.jar:%{_javadir}/logback/logback-classic.jar:%{_javadir}/logback/logback-core.jar
java VASSAL.launch.ModuleManager "\$@"
EOF

#make our launch wrapper executable
chmod +x %{buildroot}%{_bindir}/*

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Vassal Game Engine
Name[fr]=Moteur de jeu Vassal
Comment=A game engine for building and playing online adaptations of board games and card games
Comment[fr]=Un moteur de jeu pour construire et jouer en ligne, adaptations de jeux de société et jeux de cartes
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;BoardGame;
EOF

#Install icons
pushd src/icons
  for size in 16x16 32x32 48x48; do
    install -D -m644 ${size}/VASSAL.png %{buildroot}%{_iconsdir}/hicolor/${size}/apps/%{name}.png
  done
    install -D -m644 scalable/VASSAL.svg %{buildroot}%{_iconsdir}/hicolor/${size}/apps/%{name}.svg
popd

%files
%doc doc/*
%doc --no-dereference lib/licenses/*
%{_bindir}/*
%{_javadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Fri Jan 25 2019 Igor Vlasenko <viy@altlinux.ru> 3.2.17-alt1_3
- update by mgaimport

* Sat Apr 07 2018 Igor Vlasenko <viy@altlinux.ru> 3.2.17-alt1_1
- new version

